"use client";
import dynamic from "next/dynamic";
import { Suspense } from "react";
import LoadingCard from "./Loading";

const TaskList = dynamic(() => import("./TaskList"), { ssr: false });

export default function ClientHomeWidgets() {
  return (
    <>
      <Suspense fallback={<LoadingCard message="Loading tasks..." />}>
        <TaskList />
      </Suspense>
    </>
  );
}
